Gerar relatório
Peça um relatório de transações em CSV para o período e os filtros que quiser, ideal para fechar meses ou anos inteiros sem travar a resposta.
Autorização
BearerAuth AutorizaçãoBearer <token>
Em: header
Corpo da requisição
application/json
Definições TypeScript
Use o tipo request body no TypeScript.
Corpo da resposta
application/json
application/json
curl --request POST \ --url 'https://api.payzu.processamento.com/v1/user/report' \ --header 'Authorization: Bearer $PAYZU_TOKEN' \ --header 'Content-Type: application/json' \ --data '{ "dateFrom": "2026-07-01T00:00:00Z", "dateTo": "2026-07-31T23:59:59Z", "status": [ "PENDING" ], "type": [ "DEPOSIT" ]}'const url = 'https://api.payzu.processamento.com/v1/user/report';const response = await fetch(url, { method: 'POST', headers: { Authorization: `Bearer ${process.env.PAYZU_TOKEN}`, 'Content-Type': 'application/json', }, body: JSON.stringify({ dateFrom: '2026-07-01T00:00:00Z', dateTo: '2026-07-31T23:59:59Z', status: [ 'PENDING' ], type: [ 'DEPOSIT' ] }),});const data = await response.json();console.log(data);import osimport requestsresponse = requests.post( 'https://api.payzu.processamento.com/v1/user/report', headers={ 'Authorization': f'Bearer {os.environ["PAYZU_TOKEN"]}', 'Content-Type': 'application/json', }, json={ 'dateFrom': '2026-07-01T00:00:00Z', 'dateTo': '2026-07-31T23:59:59Z', 'status': [ 'PENDING' ], 'type': [ 'DEPOSIT' ] },)print(response.json()){
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"status": "PENDING",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z"
}